V0 - Add/remove Accounting Consultant (externalId)
Creates, updates or deletes an Accounting Consultant. Please not: A setting for creating accounts if they do not exists (on CA level) needs to be toggled for this to work, please contact your contact person at Findity to get this enabled
PUT
/
organizations
/
externalid
/
{externalId}
/
accountingconsultants
/
V0 - Add/remove Accounting Consultant (externalId)
curl --request PUT \
--url https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/accountingconsultants/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"delete": true,
"externalSourceId": "<string>",
"firstName": "New first name",
"lastName": "New last name",
"email": "myfake10@findity.com",
"accountingConsultantType": "REPORT_VIEWER"
}
]
'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/accountingconsultants/"
payload = [
{
"delete": True,
"externalSourceId": "<string>",
"firstName": "New first name",
"lastName": "New last name",
"email": "myfake10@findity.com",
"accountingConsultantType": "REPORT_VIEWER"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
delete: true,
externalSourceId: '<string>',
firstName: 'New first name',
lastName: 'New last name',
email: 'myfake10@findity.com',
accountingConsultantType: 'REPORT_VIEWER'
}
])
};
fetch('https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/accountingconsultants/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/accountingconsultants/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'delete' => true,
'externalSourceId' => '<string>',
'firstName' => 'New first name',
'lastName' => 'New last name',
'email' => 'myfake10@findity.com',
'accountingConsultantType' => 'REPORT_VIEWER'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/accountingconsultants/"
payload := strings.NewReader("[\n {\n \"delete\": true,\n \"externalSourceId\": \"<string>\",\n \"firstName\": \"New first name\",\n \"lastName\": \"New last name\",\n \"email\": \"myfake10@findity.com\",\n \"accountingConsultantType\": \"REPORT_VIEWER\"\n }\n]")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/accountingconsultants/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"delete\": true,\n \"externalSourceId\": \"<string>\",\n \"firstName\": \"New first name\",\n \"lastName\": \"New last name\",\n \"email\": \"myfake10@findity.com\",\n \"accountingConsultantType\": \"REPORT_VIEWER\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/accountingconsultants/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"delete\": true,\n \"externalSourceId\": \"<string>\",\n \"firstName\": \"New first name\",\n \"lastName\": \"New last name\",\n \"email\": \"myfake10@findity.com\",\n \"accountingConsultantType\": \"REPORT_VIEWER\"\n }\n]"
response = http.request(request)
puts response.read_bodyAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The external source id of the organization
Body
application/json
Response
200
Last modified on August 31, 2026
⌘I
V0 - Add/remove Accounting Consultant (externalId)
curl --request PUT \
--url https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/accountingconsultants/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"delete": true,
"externalSourceId": "<string>",
"firstName": "New first name",
"lastName": "New last name",
"email": "myfake10@findity.com",
"accountingConsultantType": "REPORT_VIEWER"
}
]
'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/accountingconsultants/"
payload = [
{
"delete": True,
"externalSourceId": "<string>",
"firstName": "New first name",
"lastName": "New last name",
"email": "myfake10@findity.com",
"accountingConsultantType": "REPORT_VIEWER"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
delete: true,
externalSourceId: '<string>',
firstName: 'New first name',
lastName: 'New last name',
email: 'myfake10@findity.com',
accountingConsultantType: 'REPORT_VIEWER'
}
])
};
fetch('https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/accountingconsultants/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/accountingconsultants/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'delete' => true,
'externalSourceId' => '<string>',
'firstName' => 'New first name',
'lastName' => 'New last name',
'email' => 'myfake10@findity.com',
'accountingConsultantType' => 'REPORT_VIEWER'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/accountingconsultants/"
payload := strings.NewReader("[\n {\n \"delete\": true,\n \"externalSourceId\": \"<string>\",\n \"firstName\": \"New first name\",\n \"lastName\": \"New last name\",\n \"email\": \"myfake10@findity.com\",\n \"accountingConsultantType\": \"REPORT_VIEWER\"\n }\n]")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/accountingconsultants/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"delete\": true,\n \"externalSourceId\": \"<string>\",\n \"firstName\": \"New first name\",\n \"lastName\": \"New last name\",\n \"email\": \"myfake10@findity.com\",\n \"accountingConsultantType\": \"REPORT_VIEWER\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/accountingconsultants/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"delete\": true,\n \"externalSourceId\": \"<string>\",\n \"firstName\": \"New first name\",\n \"lastName\": \"New last name\",\n \"email\": \"myfake10@findity.com\",\n \"accountingConsultantType\": \"REPORT_VIEWER\"\n }\n]"
response = http.request(request)
puts response.read_body
